
/* Reset para eliminar margen y padding predeterminados */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Body */
body {
    font-family: 'Arial', sans-serif;
    background-color: #f8f9fa;
    color: #333;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 20px;
}

/* Títulos */
h2 {
    color: #2d438c;
    font-size: 22px;           
    /* margin-bottom: 20px; */
}

/* Texto en párrafos */
p {
    color: #555;
    font-size: 16px;
    line-height: 1.6;
    margin: 0;                  /* Elimina el margen por defecto de <p> */
}

/* Contenedor principal */
.container {
    margin-top: 70px;

    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    padding: 30px;
    max-width: 1200px;
    width: 80%;
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;     /* Para que los divs se apilen uno sobre otro */
    gap: 10px;                  /* Espacio entre los divs */
}


/* Contenedor grid */
.container-grid {
    /*all: unset;                                 /* resetea los estilos heredados */
    max-width: 1200px;
    width: 100%;
    /*margin-bottom: 0px; */
    display: grid;
    grid-template-columns: repeat(2, 1fr);      /* Dos columnas */
    grid-template-rows: repeat(3, auto);        /* Tres filas */
    gap: 10px;                                  /* Espacio entre los divs */
}

.inner-container {
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    padding: 20px;
    /* text-align: left; */
    font-size: 1.2em;
    border-radius: 8px;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);    
    /* white-space: nowrap; /* Evita que los elementos se rompan en varias líneas */
}

.inner-container-centred {
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    padding: 20px;
    text-align: center;
    font-size: 1.2em;
    border-radius: 8px;  
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);        
    white-space: nowrap; /* Evita que los elementos se rompan en varias líneas */
}

.inner-container-buttons {
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    padding: 20px;
    text-align: left;
    font-size: 1.2em;
    border-radius: 8px;   
    white-space: nowrap; /* Evita que los elementos se rompan en varias líneas */
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);        
    max-height: 100px;    
}

/* Estilos generales para botones y enlaces */
.button, .menu-button, button[type="submit"], a.button {
    background-color: #2d438c;
    color: white;
    border: none;
    border-radius: 5px;
    padding: 10px 15px;
    font-size: 16px;
    cursor: pointer;
    margin: 5px;
    text-align: center;
    display: inline-flex;
    align-items: center;
    line-height: 1;
    vertical-align: middle;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.button:hover, .menu-button:hover, button[type="submit"]:hover, a.button:hover, .resizeButton:hover {
    background-color: #3a5fba;
}

.button.red {
    background-color: #d64545; /* Rojo menos apagado */
}

.button.red:hover {
    background-color: #f25555; /* Rojo vibrante */
}

.delete-btn {
    position: absolute; 
    bottom: 5px; 
    right: 5px; 
    background-color: #d64545; 
    color: white;
    border-radius: 5px;
    border: none; 
    cursor: pointer;
    margin: 5px;
    font-size: 12px;  
    padding: 5px 10px;
}

.delete-btn:hover {
    background-color: #f25555; /* Rojo vibrante */
}

.delete-btn2 {
    background-color: #d64545; 
    color: white;
    border-radius: 5px;
    border: none; 
    cursor: pointer;
    margin: 5px;
    font-size: 12px;  
    padding: 5px 10px;

}

.delete-btn2:hover {
    background-color: #f25555; /* Rojo vibrante */
}

.resizeButton {
    background-color: #2d438c;    
    width: 30px; 
    height: 30px;
    padding: 5px 5px; 
    position: absolute;
    bottom: 50px;
    left: 40px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    border: solid;
    border-color: #f8f9fa;
    border-width: 2px;
}


/* input file as button */
input[type=file]::file-selector-button {
  border: none;
  border-radius: 5px;
  padding: 10px 15px;
  font-size: 16px;
  cursor: pointer;
  margin: 5px;
  text-align: center;
  display: inline-flex;
  align-items: center;
  line-height: 1;
  vertical-align: middle;
  text-decoration: none;
  transition: background-color 0.3s ease;
  background-color: #2d438c;
  color: white;
}

input[type=file]::file-selector-button:hover {
  background-color: #0056b3;
}

/* FRAME --------------------------------------- */

/* ----------- sidebar ------------- */

/* Estilo para la barra de navegación */
.sidebar {
    position: fixed;                /* Fija la barra al lado izquierdo */
    top: 0;
    left: 0;
    width: 200px;
    height: 100vh;                  /* Ocupa toda la altura de la ventana */
    background-color: #696969;
    color: white;
    padding-top: 70px;
    overflow-x: hidden;             /* Evita desplazamiento horizontal */
}

/* Contenedor para imagen y enlace */
.sidebar div {
    display: flex;                  /* Alinea los hijos horizontalmente */
    align-items: center;            /* Centra los elementos verticalmente */
    padding: 5px;
    width: 100%;
}

/* Estilo para los enlaces en la barra de navegación */
.sidebar a {
    display: flex;                  /* Asegura que el enlace use el display flex */
    align-items: center;
    justify-content: flex-start;
    width: 100%;                    /* Hace que el enlace ocupe todo el ancho del contenedor */
    color: white;
    padding: 5px;
    text-decoration: none;
}

.sidebar img {
    width: 20%;
    padding: 5px; 
    /* cursor: pointer; */       
}

.sidebar a:hover {
    background-color: #575757;
}

/*
.sidebar img:hover {
    background-color: #575757;
}
*/

/* ----------- topbar -------------- */

/* Barra de navegación superior */
.topbar {
    position: fixed;
    top: 0;
    left: 0px;                      /* Alinea con el final de la barra lateral */
    right: 0;
    height: 55px;
    background-color: #444;
    color: white;
    display: flex;
    justify-content: space-between; /* Alinea los elementos a los lados */
    align-items: center;
    padding: 0 15px;
    z-index: 1000;                  /* Asegura que esté encima del contenido */
}

/* Contenedor para imagen y enlace */
.topbar div {
    display: flex;                  /* Alinea los hijos horizontalmente */
    align-items: center;            /* Centra los elementos verticalmente */
    padding: 5px 0px;
}

/* Estilos generales para botones y enlaces */
.button_logout {
    background-color: #2d438c;
    color: white;
    border: 1px solid white;
    border-radius: 5px;
    padding: 7px 7px;
    font-size: 14px;
    cursor: pointer;
    margin: 5px;
    text-align: center;
    align-items: center;
    line-height: 1;
    vertical-align: middle;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.button_logout:hover, .menu-button:hover, button[type="submit"]:hover, a.button:hover {
    background-color: #0056b3;
}

